﻿local abacus = LibStub("LibAbacus-3.0"); --Used To Display Money
function Liquid_Wealth:showGuildBankToolTip()
  varGuildBankVenderTotal = 0
  varGuildBankAuctTotal = 0
  if (Liquid_Wealth.db.profile.scanGuildBank) then
    local vguildName, _, _ = GetGuildInfo("Player");
    if IsInGuild() then --Displays the current toons guild information as default
      tip:SetCell(tip:AddLine(""), 1, "Current Selected Guild: " .. vguildName, nil, "CENTER", 3)
    else
    end
    modeHeader = tip:AddLine("")
    if Liquid_Wealth.db.profile.gdisplayMode == "Vender" then
      tip:SetCell(modeHeader, 1, "Value Mode: Vender", nil, "CENTER", 3)
    else
      tip:SetCell(modeHeader, 1, "Value Mode: Auction", nil, "CENTER", 3)
    end
    tip:SetCellScript(modeHeader, 1, "OnMouseDown", function() Liquid_Wealth:ChangeViewModes() end);

    lineNum = tip:AddSeparator(2)
    for value in pairs(Liquid_Wealth.db.realm.guild[vguildName]) do
      local playerDetail = tip:AddLine("")
      local Name, Texture, isViewable, VenderTotal, AuctionTotal = Liquid_Wealth:CovGuildBankItemDataFromDB(vguildName, value)
      VenderTotal = tonumber(VenderTotal)
      AuctionTotal = tonumber(AuctionTotal)
      tip:SetCell(playerDetail, 1, Liquid_Wealth:BuildBagIcons(_, Texture, 25) .. " " .. Name, nil, "LEFT", 1)
      if Liquid_Wealth.db.profile.gdisplayMode == "Vender" then
        tip:SetCell(playerDetail, 3, abacus:FormatMoneyFull(VenderTotal, true), nil, "RIGHT", 1)
      else
        tip:SetCell(playerDetail, 3, abacus:FormatMoneyFull(AuctionTotal, true), nil, "RIGHT", 1)
      end
      varGuildBankVenderTotal = varGuildBankVenderTotal + VenderTotal
      varGuildBankAuctTotal = varGuildBankAuctTotal + AuctionTotal
    end
    lineNum = tip:AddSeparator(2)
    local relamDetail = tip:AddLine("");
    tip:SetCell(relamDetail, 1, "Guild Bank Total:", nil, "LEFT", 1);
    if Liquid_Wealth.db.profile.gdisplayMode == "Vender" then
      tip:SetCell(relamDetail, 2, abacus:FormatMoneyFull(varGuildBankVenderTotal, true), nil, "RIGHT", 2);
    else
      tip:SetCell(relamDetail, 2, abacus:FormatMoneyFull(varGuildBankAuctTotal, true), nil, "RIGHT", 2);
    end
    lineNum = tip:AddSeparator(2)
  else
    tip:SetCell(tip:AddLine(""), 1, "Guild Bank Scanning Is Disabled", nil, "CENTER", 3)
  end
end
